#!/bin/sh

#
# make sure prod1 and prod 2 have the same product directory
#
check_overlay() {
    set : `ups list -K prod_dir prod1`
    d1=$2
    set : `ups list -K prod_dir prod2`
    d2=$2
    if [ "$d1" != "$d2" ]
    then
	 echo "ERROR: overlay failed prod1 in $d1, prod2 in $d2"
    fi
}

UPD_USERCODE_DIR=$UPD_DIR/test
PRODUCTS=$UPD_DIR/test/out_ups_database
export UPD_USERCODE_DIR PRODUCTS

upd addproduct -f NULL prod1 v0_0 -r `pwd`/prod1 -M ./prod1/ups -m prod1.table
upd addproduct -f NULL prod2 v0_0 -r `pwd`/prod2 -M ./prod2/ups -m prod2.table
upd list -l prod1 v0_0
upd list -l prod2 v0_0

echo "----------------------------------"
upd install prod1 v0_0 

check_overlay

sh ./cleanup

echo "----------------------------------"
upd install -v -j prod1 v0_0
upd install -v prod1 v0_0

check_overlay

sh ./cleanup

echo "----------------------------------"
echo "Note: this should complain"
upd install -v prod2 v0_0
sh ./cleanup

upd delproduct -f NULL prod1 v0_0
upd delproduct -f NULL prod2 v0_0
